# Generated by Django 5.0.1 on 2024-01-23 21:56

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=100)),
                ('password', models.CharField(max_length=100)),
                ('is_admin', models.BooleanField(default=False)),
                ('last_name', models.CharField(max_length=100)),
                ('first_name', models.CharField(max_length=100)),
                ('date_of_birth', models.DateField()),
                ('phone_number', models.CharField(max_length=10)),
                ('school', models.CharField(max_length=100)),
                ('school_year', models.CharField(max_length=100)),
                ('school_level', models.CharField(max_length=100)),
                ('specialty', models.CharField(max_length=100)),
                ('global_progress', models.IntegerField(default=0, null=True)),
                ('daily_progress', models.IntegerField(default=0, null=True)),
                ('github_link', models.CharField(max_length=100, null=True)),
                ('date_created', models.DateField(auto_now_add=True)),
            ],
        ),
    ]
